package com.liang.entity;

import lombok.Data;

import java.io.Serializable;
import java.sql.Date;

/**
 * (PrjContractXg)实体类
 *
 * @author makejava
 * @since 2023-06-06 12:50:45
 */
@Data
public class PrjContractXg implements Serializable {
    private static final long serialVersionUID = -87529680119440779L;

    private Integer id;
    /**
     * 合同名称
     */
    private String htmc;
    /**
     * 文件
     */
    private String wj;
    /**
     * 合同金额(元)
     */
    private Double htje;
    /**
     * 创建人
     */
    private Integer cjr;
    private String cjrxm;
    /**
     * 创建时间
     */
    private Date cjsj;
    /**
     * 任务书
     */
    private Integer rws;
    private String rwsmc;

    /**
     * 验收资料
     */
    private String yszl;

    /**
     * 招标批次
     */
    private String zbpc;

    /**
     * 中选单位
     */
    private String zxdw;

    /**
     * 当前数据状态
     */
    private Integer zt;

    private String zwmc;
    private String erpbh;

    private Date kssj;

    private Date jssj;

    private Double zq;

    /**
     * 审批状态
     */
    private String spzt;
    /**
     * 合同旧数据id
     */
    private Integer htid;

    public Double getZq() {
        return zq;
    }

    public void setZq(Double zq) {
        this.zq = zq;
    }

    public Date getKssj() {
        return kssj;
    }

    public void setKssj(Date kssj) {
        this.kssj = kssj;
    }

    public Date getJssj() {
        return jssj;
    }

    public void setJssj(Date jssj) {
        this.jssj = jssj;
    }

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public String getErpbh() {
        return erpbh;
    }

    public void setErpbh(String erpbh) {
        this.erpbh = erpbh;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getHtmc() {
        return htmc;
    }

    public void setHtmc(String htmc) {
        this.htmc = htmc;
    }

    public String getWj() {
        return wj;
    }

    public void setWj(String wj) {
        this.wj = wj;
    }

    public Double getHtje() {
        return htje;
    }

    public void setHtje(Double htje) {
        this.htje = htje;
    }

    public Integer getCjr() {
        return cjr;
    }

    public void setCjr(Integer cjr) {
        this.cjr = cjr;
    }

    public Date getCjsj() {
        return cjsj;
    }

    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    public Integer getRws() {
        return rws;
    }

    public void setRws(Integer rws) {
        this.rws = rws;
    }

    public String getCjrxm() {
        return cjrxm;
    }

    public void setCjrxm(String cjrxm) {
        this.cjrxm = cjrxm;
    }

    public String getRwsmc() {
        return rwsmc;
    }

    public void setRwsmc(String rwsmc) {
        this.rwsmc = rwsmc;
    }

    public String getYszl() {
        return yszl;
    }

    public void setYszl(String yszl) {
        this.yszl = yszl;
    }

    public String getZbpc() {
        return zbpc;
    }

    public void setZbpc(String zbpc) {
        this.zbpc = zbpc;
    }

    public String getZxdw() {
        return zxdw;
    }

    public void setZxdw(String Zxdw) {
        this.zxdw = zxdw;
    }

    public Integer getZT() {
        return zt;
    }

    public void setZT(Integer zt) {
        this.zt = zt;
    }
}

